sugar-toolkit-gtk3 (0.121-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:14:56 +0000

sugar-toolkit-gtk3 (0.121-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 07:01:43 +0000

sugar-toolkit-gtk3 (0.121-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * tighten recommendation for gir1.2-webkit2
    (see bug#1061531)
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 06 Feb 2024 11:42:59 +0100

sugar-toolkit-gtk3 (0.120-2) unstable; urgency=medium

  * stop recommend telepathy-salut;
    closes: bug#1043333, thanks to IOhannes m zmölnig

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 31 Aug 2023 19:07:22 +0200

sugar-toolkit-gtk3 (0.120-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * simplify source helper copyright-check
  * update copyright info: update coverage
  * declare compliance with Debian Policy 4.6.2
  * update git-buildpackage config:
    + use DEP-14 git branches
    + enable automatic DEP-14 branch name handling
    + add usage config
  * build-depend on libgdk-pixbuf-2.0-dev
    (not libgdk-pixbuf2.0-dev)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 26 Jan 2023 23:58:57 +0100

sugar-toolkit-gtk3 (0.119-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patch cherry-picked upstream now applied
  * update copyright info:
    + sort authors by name; fix strip ancient path prefix
    + update coverage
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + sort License sections by name
  * declare compliance with Debian Policy 4.6.1
  * stop override dh_strip: dbgsym-migration is done

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 12 May 2022 14:25:09 +0200

sugar-toolkit-gtk3 (0.118-3) unstable; urgency=medium

  * add patch cherry-picked upstream to implement option --destdir;
    thanks to Vagrant Cascadian and James Cameron
    (see bug#975373, #975374)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 28 Jan 2021 00:22:43 +0100

sugar-toolkit-gtk3 (0.118-2) unstable; urgency=medium

  * fix install built binaries even for arch-independent build,
    to not upset dh_missing

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 Jan 2021 22:40:22 +0100

sugar-toolkit-gtk3 (0.118-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * use debhelper compatibility level 13 (not 12)
  * break and replace obsolete python-sugar3;
    closes: bug#980757, thanks to Lisandro Damián Nicanor Pérez Meyer
  * declare compliance with Debian Policy 4.5.1
  * copyright: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 Jan 2021 15:19:18 +0100

sugar-toolkit-gtk3 (0.117-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patch 1002, adopted upstream
  * unfuzz patches
  * use debhelper compatibility level 12 (not 10);
    build-depend on debhelper-compat dh-sequence-gir dh-sequence-python3
    (not debhelper dh-python gobject-introspection python3);
    drop lintian override about unversioned debhelper
  * relax to build-depend unversioned on d-shlibs:
    needed version satisfied even in oldstable
  * rules: fix export DH_OPTIONS (not set twice)
  * stop strip virtually empty locales: done upstream now
  * stop superfluous cleanup (leftover from python2 removal)
  * watch: rewrite usage comment
  * copyright: extend coverage
  * mark packages libsugarext-dev gir1.2-sugarext-1.0 as Multi-Arch: same

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 19 Apr 2020 12:00:22 +0200

sugar-toolkit-gtk3 (0.116-6) unstable; urgency=medium

  * Drop python2 support; Closes: #938595

 -- Sandro Tosi <morph@debian.org>  Fri, 10 Apr 2020 12:18:22 -0400

sugar-toolkit-gtk3 (0.116-5) unstable; urgency=medium

  * declare compliance with Debian Policy 4.5.0

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 15 Mar 2020 12:28:56 +0100

sugar-toolkit-gtk3 (0.116-5~exp) experimental; urgency=medium

  * Provide binary package libsugarext-dbgsym,
    gracefully migrating from now dropped libsugarext-dbg.
  * Build with python3 (in addition to python2, for now).
    Build-depend on python3.
    Provide binary package python3-sugar3,
    depending on python3-cairo python3-dateutil python3-dbus
    python3-decorator python3-gi python3-gi-cairo python3-six.
    Closes: Bug#931666, #938595.
    Thanks to Aniket Mathur and Matthias Klose.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 Sep 2019 15:00:45 +0200

sugar-toolkit-gtk3 (0.116-4) unstable; urgency=medium

  * Fix build-depend on dh-python (not python-dev).
  * Really fix FTBFS when building only arch-indep package.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 Sep 2019 13:19:23 +0200

sugar-toolkit-gtk3 (0.116-3) unstable; urgency=medium

  * Update git-buildpackage config: Use dep14 git branch debian/master.
  * Fix FTBFS when building only arch-indep package.
  * Avoid installing virtually empty translations.
  * Add patch 1002
    to fix replace broken locale ig with newer but ISO 639-2 named ibo.
    Fix and update related build rules.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 Sep 2019 11:50:51 +0200

sugar-toolkit-gtk3 (0.116-2) unstable; urgency=medium

  * Simplify rules.
    Stop build-depend on cdbs.
  * Use debhelper compatibility level 10.
    Stop build-depend explicitly on dh-autoreconf autotools-dev.
    Stop needlesly build-depending on autoconf-archive.
  * Add lintian override regarding debhelper 10.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 08 Sep 2019 20:38:19 +0200

sugar-toolkit-gtk3 (0.116-1) unstable; urgency=medium

  * Update copyright info:
    + Extend coverage of autotools files.
    + Drop bogus License-Grant.
    + Extend coverage of packaging.
  * Add patch from upstream since applied.
  * Unfuzz patches.
  * Update package relations:
    + Have python package depend on gir1.2-telepathyglib-0.12 python-six
      (not python-telepathy python-jarabe).
    + Tighten build-dependency on d-shlibs.
    + Fix have gir1.2-sugarext-1.0 provide gir1.2-sugargestures-1.0.
    + Stop build-depend on dh-buildinfo.
  * Declare compliance with Debian Policy 4.4.0.
  * Set Rules-Requires-Root: no.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 08 Sep 2019 16:14:59 +0200

sugar-toolkit-gtk3 (0.112-2) unstable; urgency=medium

  * Add 0001-sugar3.speech-remove-GConf-compatibility-support.patch
  * Drop unused gir1.2-gconf-2.0 dependency.
  * Update VCS URLs to match the repository in salsa.
  * debian/rules: override s/libfribidi0-dev/libfribidi-dev/ in
    d-shlibmove to address #895235
  * libsugarext-dbg: move Priority: extra to Priority: optional to follow
    Policy.
  * Declare compliance with Debian Policy 4.1.4.

 -- Santiago Ruano Rincón <santiago@debian.org>  Mon, 14 May 2018 14:14:11 +0200

sugar-toolkit-gtk3 (0.112-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  * Update watch file: Use patterns.
  * Update git-buildpackage config: Stop set debian-branch.
  * Declare compliance with Debian Policy 4.1.1.
  * Drop patches cherry-picked upstream and since applied.
  * Add patch 1001 to handle voices from eSpeak NG.
  * Update package relations:
    + Fix have python-gtk3 recommend gstreamer1.0-espeak
      gstreamer1.0-plugins-good.
  * Unfuzz patches.
  * Handle upstream releases without micro version.
  * Fix rename locale ibo→ig (and not aym→ay no longer shipped
    upstream): ISO 639-1 favored over ISO 639-2.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 15 Nov 2017 03:09:10 +0100

sugar-toolkit-gtk3 (0.110.0-5) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.1.0.
  * Update git-buildpackage config: Filter any .git* files.
  * Update watch file: Tighten version regex.
  * Modernize cdbs:
    + Drop upstream-tarball hints: Use gbp import-orig --uscan.
    + Do copyright-check in maintainer script (not during build).
      Relax to build-depend unversioned on cdbs.
      Stop build-depend on licensecheck.
  * Update copyright info:
    + Use https protocol in file format URL.
    + Use SPDX License shortnames FSFUL FSFULLR (and derived forms).
  * Tighten lintian overrides regarding License-Reference.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 30 Aug 2017 11:25:29 +0200

sugar-toolkit-gtk3 (0.110.0-4) unstable; urgency=medium

  * Add patch cherry-picked upstream to fix depend instead of append to
    path.
    Closes: Bug#860943. Thanks to James Cameron.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 22 Apr 2017 14:19:42 +0200

sugar-toolkit-gtk3 (0.110.0-3) unstable; urgency=medium

  * Add patch cherry-picked upstream to fix screen resize race.
  * Add patch cherry-picked upstream to sort translation files.
    Closes: Bug#848633. Thanks to Dhole.
  * Modernize Vcs-* fields:
    + Use https protocol.
    + Use git subdir (not cgit).
    + Add .git suffix for Vcs-Git URL.
  * Stop override lintian for
    package-needs-versioned-debhelper-build-depends: Fixed in lintian.
  * Update watch file:
    + Bump to version 4.
    + Mention gbp --uscan in usage comment.
  * Update copyright info: Extend coverage of Debian packaging.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 25 Jan 2017 04:28:26 +0100

sugar-toolkit-gtk3 (0.110.0-2) unstable; urgency=medium

  * Modernize CDBS use:
    + Let CDBS resolve if build is targeted experimental.
  * Update package relations:
    + Relax to recommend (not depend on) webkit/webkit2.
    + Favor webkit2 over webkit.
    + Recommend webkit2 (without webkit fallback) strengthen favoring.
    + Drop obsolete transitional conflicts/replaces/breaks.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 Dec 2016 19:00:52 +0100

sugar-toolkit-gtk3 (0.110.0-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    Highlights:
    + Collaboration: Handle tubes channel failure gracefully.
    + Remove support for Rainbow.
    + Allow one to run activities without Sugar shell.

  [ Jonas Smedegaard ]
  * Update licensing info:
    + Fix add disclaimer to GAP License (arguably needs to be preserved
      as part of "this notice").
    + Extend coverage of autotools files.
    + Extend coverage of Debian packaging.
  * Declare compliance with Debian Policy 3.9.8.
  * Track only stable 0.110 branch in watch file.
  * Have git-buildpackage use versioned upstream branch.
  * Have python-sugar3 suggest python-jarabe and python-carquinyol.
  * Stop recommend older telepathy-gabble: No longer needed for
    collaboration.
  * Modernize CDBS use: Build-depend on licensecheck (not devscripts).
  * Unfuzz patch 2002.
  * Add patch cherry-picked upstream to fix avoid more introspection
    versioning warnings.
  * Use dh-autoreconf.
    + Build-depend on dh-autoreconf and autoconf-archive.
    Closes: Bug#744666. Thanks to Matthias Klose.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 Dec 2016 03:41:58 +0100

sugar-toolkit-gtk3 (0.106.1-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update licensing info:
    + Merge pseudo-derived licenses (Use License-Grant to indicate
      difference in verbatim text).

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 14 Sep 2015 15:47:37 +0200

sugar-toolkit-gtk3 (0.106.0-1) unstable; urgency=medium

  [ upstream ]
  * New release.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 06 Jul 2015 19:53:05 -0500

sugar-toolkit-gtk3 (0.105.3-1) experimental; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  (0.104.1-9 changes re-applied)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 02 Jul 2015 18:26:23 -0500

sugar-toolkit-gtk3 (0.105.2-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Prepare for new major branch:
    + Switch packaging git branch.
    + Adapt watch file to track any branch.
  * Drop patch now included upstream, and unfuzz remaining patch.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 14 Jun 2015 15:29:45 -0500

sugar-toolkit-gtk3 (0.104.1-9) unstable; urgency=medium

  * Update package relations:
    + Favor Webkit over Webkit2: Webkit needed by Jarabe and Browse too.
    + Drop fallback-dependency on gir1.2-webkit2-3.0: Deprecated.
  * Relax watch file to cover any compression suffix.
  * Stop explicitly declare compression in git-buildpackage config.
  * Add lintian override regarding debhelper 9.
  * Fix rename locale aym→ay: ISO 639-1 favored over ISO 639-2.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 02 Jul 2015 17:05:44 -0500

sugar-toolkit-gtk3 (0.104.1-8) unstable; urgency=medium

  * Adapt packaging in maintainer mode when targeting experimental:
    + Switch git packaging branch.
    + Track any release (else only current branch).
  * Update package relations:
    + Relax to build-depend unversioned on libgirepository1.0-dev, and
      recommend unversioned telepathy-mission-control-5 and
      telepathy-salut: Needed versions satisfied even in oldstable.
    + Stop declare pre-dependency on multiarch-support: Handled by
      debhelper.
    + Tighten build-dependency on d-shlibs, and drop local overrides.
  * Stop manually remove .la file: Handled by d-shlibs.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 13 Jun 2015 16:42:47 -0500

sugar-toolkit-gtk3 (0.104.1-7) unstable; urgency=medium

  * Improve short descriptions.
  * Update package relations:
    + Relax to build-depend unversioned on debhelper: Version needed is
      satisfied even in oldstable.
  * Add patch cherry-picked upstream to avoid build MIME databases
    during upstream install routine.
    Closes: Bug#783890. Thanks to Martin Abente Lahaye.
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
  * Add lintian overrides regarding license in License-Reference field.
    See bug#786450.
  * Modernize git-buildpackage config: Avoid "git-" prefix.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 May 2015 11:18:07 +0200

sugar-toolkit-gtk3 (0.104.1-6) unstable; urgency=medium

  * Fix use canonical URL in Vcs-Git field.
  * Update package relations:
    + Fix stop suggest subversion: Unused upstream since ~2008.
    + Fix explicitly recommend shared-mime-info.
  * Modernize long descriptions.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 20 Apr 2015 21:38:33 +0200

sugar-toolkit-gtk3 (0.104.1-5) unstable; urgency=medium

  * Move packaging to Debian Sugar Team.
  * Update package relations:
    + Fix depend on python-gi-cairo.
      Thanks to Martin Abente and James Cameron.
  * Fix typo in libsugarext-dev short description.
    Closes: bug#747026. Thanks to Anders Jonsson.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 17 Apr 2015 10:34:39 +0200

sugar-toolkit-gtk3 (0.104.1-4) experimental; urgency=medium

  * Fix Recommend telepathy-gabble-legacy or older telepathy-gabble (not
    recent telepathy-gabble): Old Tubes API needed.
    Thanks to Tincho.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 11 Apr 2015 03:08:09 +0200

sugar-toolkit-gtk3 (0.104.1-3) experimental; urgency=medium

  * Bump debhelper compatibility level to 9: Needed for multiarch-
    compatible debug files.
  * Update package relations:
    + Fix depend on python-decorator.
    + Recommend alsa-util to ensure audio devices are unmuted at boot
      (see bug#581504).
    + Fix suggest ipython.
    + Stop suggest ttf-dejavu-extra: Font handled by sugar-session-*.
    + Suggest git (not git-core).
    + Fix tighten python-sugar3 to depend on same source-version of
      gir1.2-sugarext-1.0, and tighten gir1.2-sugarext-1.0 to break
      older python-sugar3 depending too relaxed on its GIR.
      Thanks to James Cameron.
    + Tighten build-dependency on debhelper: Needed for tightened
      compatibility level.
    + Build-depend only (tightened) on python.dev (not python-all-dev):
      Sufficient for architecture-independent python build.
  * Declare dh_install arguments in rules (not *.install files).
  * Fix install GIR files into multiarch subdir.
  * Fix do hash-bang massage forward-compatible with cdbs 0.5.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 09 Apr 2015 18:17:22 +0200

sugar-toolkit-gtk3 (0.104.1-2) experimental; urgency=medium

  * Update package relations:
    + Fix have libsugarext-dev depend on auto-resolved *-dev packages.
    + Fix relax python-sugar3 to depend unversioned on gir* package.
    + Fix tighten gir1.2-sugarext-1.0 to depend versioned on
      libsugarext0: API is unstable.
  * Fix mark python-sugar3 as architecture-independent.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 05 Apr 2015 21:08:58 +0200

sugar-toolkit-gtk3 (0.104.1-1) experimental; urgency=medium

  * Update package relations:
    + Stop build-depend on libgconf2-dev or python-gtk2-dev.
    + Build-depend on libxfixes-dev.
    + Depend on and recommend gir1.2-webkit2-3.0 or gir1.2-webkit2-4.0,
      and recommend (but not depend on) gir1.2-webkit-3.0 as ultimate
      fallback.
    + Build-depend on linux-libc-dev or hurd-dev.
    + Have python-sugar3 depend on git1.2-atspi-2.0.
  * Update copyright info:
    + Merge Files sections with same license.
    + Fix list Files section with joker above */Makefile.in section, to
      not override.
    + Fix extend coverage for autotools.
    + Extend coverage for upstream authors.
  * Fix tell git-buildpackage to use xz compression.
  * Unfuzz patch 2002.
  * Disable patch 2003: Possibly obsoleted by recent upstream changes.
  * Use proper hash-bang in Python script (Python Policy 0.9 §3.1).
    Thanks to lintian.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 03 Apr 2015 20:36:09 +0200

sugar-toolkit-gtk3 (0.98.7-2) unstable; urgency=medium

  * Update copyright info:
    + Update alternate git source URL.
    + Extend coverage for myself, and relicense packaging as GPL-3+.
    + Fix use SPDX shortname for X11 license.
      Thanks to Paul Richards Tagliamonte.
    + Fix extend coverage for autotools.
    + Fix update and extend coverage for upstream authors.
    + Fix cover BSD-licensed src/sugar3/dispatch/*.
  * Bump dephelper compatibility level to 8.
  * Declare compliance with Debian Policy 3.9.6.
  * Update Vcs-Git field to use canonical URL.
  * Update Vcs-Browser field to use cgit and https.
  * Wrap Uploaders field.
  * Track xz compressed upstream tarballs (favored over bzip2).
  * Rewrite README.source to emphasize that control.in file is *not* a
    show-stopper for contributions, and refer to wiki page for details.
  * Unfuzz patch 2003.
  * Update package relations:
    + Fix have python-sugar3 depend on gir1.2-gconf-2.0, and stop
      build-depend explicitly on it.
    + Fix build-depend explicitly on libxi-dev: Needed by
      sugar-cursor-tracker, sugar-gesture-grabber and sugar-key-grabber.
    + Fix build-depend explicitly on libx11-dev and x11proto-core-dev:
      Needed by sugar-wm.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 03 Apr 2015 15:01:05 +0200

sugar-toolkit-gtk3 (0.98.7-1) unstable; urgency=low

  * New upstream release
  * Adding myself to Uploaders
  * Bump Standars-Version to 3.9.4

 -- Santiago Ruano Rincón <santiago@debian.org>  Sat, 07 Sep 2013 01:01:07 +0200

sugar-toolkit-gtk3 (0.96.1-2) unstable; urgency=low

  * Update package relations:
    + Fix build-depend on python-gtk2-dev.
      Closes: bug#674970. Thanks to Aaron M. Ucko.
    + Fix have python-sugar3 depend on imported GIR bindings.
    + Build-depend on dh-buildinfo: Works with multiarch now.
    + Relax libsugarext0 to recommend (not depend on) libsugarext-data.
  * Improve libsugarext-data long description to clarify it contains
    translations.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 29 May 2012 10:47:01 +0200

sugar-toolkit-gtk3 (0.96.1-1) unstable; urgency=low

  * Initial packaging release.
    Closes: bug#674802.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 28 May 2012 01:11:35 +0200
